com.holonplatform.vaadin.flow.components

## Interface Components.input

- Enclosing interface:
    Components

      public static interface Components.input

  `Input`, `PropertyInputGroup` and `PropertyInputForm` builders provider.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BooleanInputBuilder` | `boolean_()` Gets a builder to create `Boolean` type `Input`s.
    `static DateInputBuilder` | `date()` Gets a builder to create `Date` type `Input`s.
    `static DateTimeInputBuilder` | `dateTime()` Gets a builder to create `Date` type `Input`s with time (hours and minutes) support.
    `static <E extends Enum<E>> OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<E,E>` | `enumMultiSelect(Class<E> enumType)` Gets a builder to create a `MultiSelect` type Input for given `enum` class with the options rendering mode, i.e. using a checkbox group.
    `static <E extends Enum<E>> OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<E,E>` | `enumOptionSelect(Class<E> enumType)` Gets a builder to create a `SingleSelect` type Input for given `enum` type with the options rendering mode, i.e. using a radio button group.
    `static <E extends Enum<E>> SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<E,E>` | `enumSelect(Class<E> enumType)` Gets a builder to create a `SingleSelect` type Input for given `enum` type.
    `static <C extends com.vaadin.flow.component.Component,P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<C>` | `form(C content, Iterable<P> properties)` Get a builder to create a `PropertyInputForm` using given property set.
    `static <C extends com.vaadin.flow.component.Component> PropertyInputFormBuilder<C>` | `form(C content, com.holonplatform.core.property.Property<?>... properties)` Get a builder to create a `PropertyInputForm` using given property set.
    `static <P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<com.vaadin.flow.component.formlayout.FormLayout>` | `form(Iterable<P> properties)` Get a builder to create a `PropertyInputForm` using given property set and a `FormLayout` as content layout.
    `static PropertyInputFormBuilder<com.vaadin.flow.component.formlayout.FormLayout>` | `form(com.holonplatform.core.property.Property<?>... properties)` Get a builder to create a `PropertyInputForm` using given property set and a `FormLayout` as content layout.
    `static <P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.HorizontalLayout>` | `formHorizontal(Iterable<P> properties)` Get a builder to create a `PropertyInputForm` using given property set and a `HorizontalLayout` as content layout.
    `static PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.HorizontalLayout>` | `formHorizontal(com.holonplatform.core.property.Property<?>... properties)` Get a builder to create a `PropertyInputForm` using given property set and a `HorizontalLayout` as content layout.
    `static <P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.VerticalLayout>` | `formVertical(Iterable<P> properties)` Get a builder to create a `PropertyInputForm` using given property set and a `VerticalLayout` as content layout.
    `static PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.VerticalLayout>` | `formVertical(com.holonplatform.core.property.Property<?>... properties)` Get a builder to create a `PropertyInputForm` using given property set and a `VerticalLayout` as content layout.
    `static LocalDateInputBuilder` | `localDate()` Gets a builder to create `LocalDate` type `Input`s.
    `static LocalDateTimeInputBuilder` | `localDateTime()` Gets a builder to create `LocalDateTime` type `Input`s.
    `static LocalTimeInputBuilder` | `localTime()` Gets a builder to create `LocalTime` type `Input`s.
    `static <T> OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,T>` | `multiOptionSelect(Class<T> type)` Gets a builder to create a `MultiSelect` using the options rendering mode, i.e. a checkbox group.
    `static <T,ITEM> OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM>` | `multiOptionSelect(Class<T> type, Class<ITEM> itemType, ItemConverter<T,ITEM> itemConverter)` Gets a builder to create a `MultiSelect` using the options rendering mode, i.e. a checkbox group.
    `static <T> OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>` | `multiOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty)` Gets a builder to create a `MultiSelect`, using given selection `Property` and the options rendering mode, i.e. a checkbox group.
    `static <T> OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>` | `multiOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty, Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)` Gets a builder to create a `MultiSelect`, using given selection `Property`, a converter and the options rendering mode, i.e. a checkbox group.
    `static <T extends Number> NumberInputBuilder<T>` | `number(Class<T> numberClass)` Gets a builder to create a numeric type `Input`.
    `static PasswordInputBuilder` | `password()` Gets a builder to create `String` type `Input`s which not display user input on screen, used to enter secret text information like passwords.
    `static <P extends com.holonplatform.core.property.Property> PropertyInputGroupBuilder` | `propertyGroup(Iterable<P> properties)` Get a `PropertyInputGroupBuilder` to create and setup a `PropertyInputGroup`.
    `static PropertyInputGroupBuilder` | `propertyGroup(com.holonplatform.core.property.Property<?>... properties)` Get a `PropertyInputGroupBuilder` to create and setup a `PropertyInputGroup`.
    `static PasswordInputBuilder` | `secretString()` Gets a builder to create `String` type `Input`s which not display user input on screen, used to enter secret text information like passwords.
    `static <T> OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,T>` | `singleOptionSelect(Class<T> type)` Gets a builder to create a `SingleSelect` type Input using the options rendering mode, i.e. a radio button group.
    `static <T,ITEM> OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM>` | `singleOptionSelect(Class<T> type, Class<ITEM> itemType, ItemConverter<T,ITEM> itemConverter)` Gets a builder to create a `SingleSelect` type Input using the options rendering mode, i.e. a radio button group.
    `static <T> OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>` | `singleOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty)` Gets a builder to create a `SingleSelect` type Input, using given selection `Property` and the options rendering mode, i.e. a radio button group.
    `static <T> OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>` | `singleOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty, Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)` Gets a builder to create a `SingleSelect` type Input, using given selection `Property`, a converter and the options rendering mode, i.e. a radio button group.
    `static <T> SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,T>` | `singleSelect(Class<T> type)` Gets a builder to create a `SingleSelect` type Input.
    `static <T,ITEM> SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>` | `singleSelect(Class<T> type, Class<ITEM> itemType, ItemConverter<T,ITEM> itemConverter)` Gets a builder to create a `SingleSelect` type Input.
    `static <T> SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>` | `singleSelect(com.holonplatform.core.property.Property<T> selectionProperty)` Gets a builder to create a `SingleSelect` type Input, using given selection `Property`.
    `static <T> SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>` | `singleSelect(com.holonplatform.core.property.Property<T> selectionProperty, Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)` Gets a builder to create a `SingleSelect` type Input, using given selection `Property` and converter.
    `static StringInputBuilder` | `string()` Gets a builder to create `String` type `Input`s.
    `static StringAreaInputBuilder` | `stringArea()` Gets a builder to create `String` type `Input`s rendered as a text area.

- - ### Method Detail

    - #### string

          static StringInputBuilder string()

      Gets a builder to create `String` type `Input`s.
      Returns:
        A `StringInputBuilder`

    - #### stringArea

          static StringAreaInputBuilder stringArea()

      Gets a builder to create `String` type `Input`s rendered as a text area.
      Returns:
        A `StringAreaInputBuilder`

    - #### secretString

          static PasswordInputBuilder secretString()

      Gets a builder to create `String` type `Input`s which not display user input on screen, used to enter secret text information like passwords.

      Alias for `password()`.

      Returns:
        A `PasswordInputBuilder`

    - #### password

          static PasswordInputBuilder password()

      Gets a builder to create `String` type `Input`s which not display user input on screen, used to enter secret text information like passwords.
      Returns:
        A `PasswordInputBuilder`

    - #### localDate

          static LocalDateInputBuilder localDate()

      Gets a builder to create `LocalDate` type `Input`s.
      Returns:
        A `LocalDateInputBuilder`

    - #### localDateTime

          static LocalDateTimeInputBuilder localDateTime()

      Gets a builder to create `LocalDateTime` type `Input`s.
      Returns:
        A `LocalDateTimeInputBuilder`

    - #### localTime

          static LocalTimeInputBuilder localTime()

      Gets a builder to create `LocalTime` type `Input`s.
      Returns:
        A `LocalTimeInputBuilder`

    - #### date

          static DateInputBuilder date()

      Gets a builder to create `Date` type `Input`s.

      This Input use the `Date` type only for simple date representations (day, month, year), i.e. without the time part.

      Returns:
        A `DateInputBuilder`

    - #### dateTime

          static DateTimeInputBuilder dateTime()

      Gets a builder to create `Date` type `Input`s with time (hours and minutes) support.

      Only the hours and minutes time parts are supported.

      Returns:
        A `DateTimeInputBuilder`

    - #### boolean_

          static BooleanInputBuilder boolean_()

      Gets a builder to create `Boolean` type `Input`s.
      Returns:
        A `BooleanInputBuilder`

    - #### number

          static <T extends Number> NumberInputBuilder<T> number(Class<T> numberClass)

      Gets a builder to create a numeric type `Input`.
      Type Parameters:
        `T` - Number type
      Parameters:
        `numberClass` - Number class (not null)
      Returns:
        A new `NumberInputBuilder`

    - #### singleSelect

          static <T> SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,T> singleSelect(Class<T> type)

      Gets a builder to create a `SingleSelect` type Input.

      This builder can be used when the selection items type and the selection value type are consistent. Use `singleSelect(Class, Class, ItemConverter)` if not.

      Type Parameters:
        `T` - Value type
      Parameters:
        `type` - Selection value type (not null)
      Returns:
        A new `SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder`

    - #### singleSelect

          static <T,ITEM> SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM> singleSelect(Class<T> type,
                                                                                                                         Class<ITEM> itemType,
                                                                                                                         ItemConverter<T,ITEM> itemConverter)

      Gets a builder to create a `SingleSelect` type Input.

      This builder can be used when the selection items type and the selection value type are not consistent (i.e. of different type). When the the selection item and the selection value types are consistent, the `singleSelect(Class)` method can be used.

      Type Parameters:
        `T` - Value type
        `ITEM` - Item type
      Parameters:
        `type` - Selection value type (not null)
        `itemType` - Selection items type (not null)
        `itemConverter` - The item converter to use to convert a selection item into a selection (Input) value and back (not null)
      Returns:
        A new `SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder`

    - #### singleSelect

          static <T> SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T> singleSelect(com.holonplatform.core.property.Property<T> selectionProperty)

      Gets a builder to create a `SingleSelect` type Input, using given selection `Property`.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
      Returns:
        A new `SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder`

    - #### singleSelect

          static <T> SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T> singleSelect(com.holonplatform.core.property.Property<T> selectionProperty,
                                                                                                                   Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)

      Gets a builder to create a `SingleSelect` type Input, using given selection `Property` and converter.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
        `itemConverter` - The function to use to convert a selection value into the corresponding `PropertyBox` item
      Returns:
        A new `SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder`

    - #### singleOptionSelect

          static <T> OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,T> singleOptionSelect(Class<T> type)

      Gets a builder to create a `SingleSelect` type Input using the options rendering mode, i.e. a radio button group.

      This builder can be used when the selection items type and the selection value type are consistent. Use `singleOptionSelect(Class, Class, ItemConverter)` if not.

      Type Parameters:
        `T` - Value type
      Parameters:
        `type` - Selection value type (not null)
      Returns:
        A new `OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder`

    - #### singleOptionSelect

          static <T,ITEM> OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM> singleOptionSelect(Class<T> type,
                                                                                                                                 Class<ITEM> itemType,
                                                                                                                                 ItemConverter<T,ITEM> itemConverter)

      Gets a builder to create a `SingleSelect` type Input using the options rendering mode, i.e. a radio button group.

      This builder can be used when the selection items type and the selection value type are not consistent (i.e. of different type). When the the selection item and the selection value types are consistent, the `singleOptionSelect(Class)` method can be used.

      Type Parameters:
        `T` - Value type
        `ITEM` - Item type
      Parameters:
        `type` - Selection value type (not null)
        `itemType` - Selection items type (not null)
        `itemConverter` - The item converter to use to convert a selection item into a selection (Input) value and back (not null)
      Returns:
        A new `OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder`

    - #### singleOptionSelect

          static <T> OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T> singleOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty)

      Gets a builder to create a `SingleSelect` type Input, using given selection `Property` and the options rendering mode, i.e. a radio button group.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
      Returns:
        A new `OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder`

    - #### singleOptionSelect

          static <T> OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T> singleOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty,
                                                                                                                           Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)

      Gets a builder to create a `SingleSelect` type Input, using given selection `Property`, a converter and the options rendering mode, i.e. a radio button group.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
        `itemConverter` - The function to use to convert a selection value into the corresponding `PropertyBox` item
      Returns:
        A new `OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder`

    - #### multiOptionSelect

          static <T> OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,T> multiOptionSelect(Class<T> type)

      Gets a builder to create a `MultiSelect` using the options rendering mode, i.e. a checkbox group.

      This builder can be used when the selection items type and the selection value type are consistent. Use `multiOptionSelect(Class, Class, ItemConverter)` if not.

      Type Parameters:
        `T` - Value type
      Parameters:
        `type` - Selection value type (not null)
      Returns:
        A new `OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder`

    - #### multiOptionSelect

          static <T,ITEM> OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM> multiOptionSelect(Class<T> type,
                                                                                                                              Class<ITEM> itemType,
                                                                                                                              ItemConverter<T,ITEM> itemConverter)

      Gets a builder to create a `MultiSelect` using the options rendering mode, i.e. a checkbox group.

      This builder can be used when the selection items type and the selection value type are not consistent (i.e. of different type). When the the selection item and the selection value types are consistent, the `multiOptionSelect(Class)` method can be used.

      Type Parameters:
        `T` - Value type
        `ITEM` - Item type
      Parameters:
        `type` - Selection value type (not null)
        `itemType` - Selection items type (not null)
        `itemConverter` - The item converter to use to convert a selection item into a selection (Input) value and back (not null)
      Returns:
        A new `OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder`

    - #### multiOptionSelect

          static <T> OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T> multiOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty)

      Gets a builder to create a `MultiSelect`, using given selection `Property` and the options rendering mode, i.e. a checkbox group.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
      Returns:
        A new `OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder`

    - #### multiOptionSelect

          static <T> OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T> multiOptionSelect(com.holonplatform.core.property.Property<T> selectionProperty,
                                                                                                                        Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)

      Gets a builder to create a `MultiSelect`, using given selection `Property`, a converter and the options rendering mode, i.e. a checkbox group.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
        `itemConverter` - The function to use to convert a selection value into the corresponding `PropertyBox` item
      Returns:
        A new `OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder`

    - #### enumSelect

          static <E extends Enum<E>> SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<E,E> enumSelect(Class<E> enumType)

      Gets a builder to create a `SingleSelect` type Input for given `enum` type.

      All the enum constants declared for the given enum type will be available as selection items.

      Type Parameters:
        `E` - Enum type
      Parameters:
        `enumType` - Enum type (not null)
      Returns:
        A new `SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder`

    - #### enumOptionSelect

          static <E extends Enum<E>> OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<E,E> enumOptionSelect(Class<E> enumType)

      Gets a builder to create a `SingleSelect` type Input for given `enum` type with the options rendering mode, i.e. using a radio button group.

      All the enum constants declared for the given enum type will be available as selection items.

      Type Parameters:
        `E` - Enum type
      Parameters:
        `enumType` - Enum type (not null)
      Returns:
        A new `OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder`

    - #### enumMultiSelect

          static <E extends Enum<E>> OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<E,E> enumMultiSelect(Class<E> enumType)

      Gets a builder to create a `MultiSelect` type Input for given `enum` class with the options rendering mode, i.e. using a checkbox group.

      All the enum constants declared for the given enum type will be available as selection items.

      Type Parameters:
        `E` - Enum type
      Parameters:
        `enumType` - Enum type (not null)
      Returns:
        A new `OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder`

    - #### propertyGroup

          static <P extends com.holonplatform.core.property.Property> PropertyInputGroupBuilder propertyGroup(Iterable<P> properties)

      Get a `PropertyInputGroupBuilder` to create and setup a `PropertyInputGroup`.
      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - The property set (not null)
      Returns:
        A new `PropertyInputGroupBuilder`

    - #### propertyGroup

          static PropertyInputGroupBuilder propertyGroup(com.holonplatform.core.property.Property<?>... properties)

      Get a `PropertyInputGroupBuilder` to create and setup a `PropertyInputGroup`.
      Parameters:
        `properties` - The property set (not null)
      Returns:
        A new `PropertyInputGroupBuilder`

    - #### form

          static <C extends com.vaadin.flow.component.Component,P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<C> form(C content,
                                                                                                                                                     Iterable<P> properties)

      Get a builder to create a `PropertyInputForm` using given property set.
      Type Parameters:
        `C` - Form content element type
        `P` - Property type
      Parameters:
        `content` - The form content, where the `Input`s will be composed using the configured `Composable.Composer` (not null)
        `properties` - The property set (not null)
      Returns:
        A new `PropertyInputFormBuilder`

    - #### form

          static <C extends com.vaadin.flow.component.Component> PropertyInputFormBuilder<C> form(C content,
                                                                                                  com.holonplatform.core.property.Property<?>... properties)

      Get a builder to create a `PropertyInputForm` using given property set.
      Type Parameters:
        `C` - Form content element type
      Parameters:
        `content` - The form content, where the `Input`s will be composed using the configured `Composable.Composer` (not null)
        `properties` - The property set (not null)
      Returns:
        A new `PropertyInputFormBuilder`

    - #### form

          static <P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<com.vaadin.flow.component.formlayout.FormLayout> form(Iterable<P> properties)

      Get a builder to create a `PropertyInputForm` using given property set and a `FormLayout` as content layout.

      A default composer is configured using `Composable.componentContainerComposer()`. Use `ComposableConfigurator.composer(com.holonplatform.vaadin.flow.components.Composable.Composer)` to provide a custom components composer.

      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - The property set (not null)
      Returns:
        A `PropertyInputForm` builder

    - #### form

          static PropertyInputFormBuilder<com.vaadin.flow.component.formlayout.FormLayout> form(com.holonplatform.core.property.Property<?>... properties)

      Get a builder to create a `PropertyInputForm` using given property set and a `FormLayout` as content layout.

      A default composer is configured using `Composable.componentContainerComposer()`. Use `ComposableConfigurator.composer(com.holonplatform.vaadin.flow.components.Composable.Composer)` to provide a custom components composer.

      Parameters:
        `properties` - The property set (not null)
      Returns:
        A `PropertyInputForm` builder

    - #### formVertical

          static <P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.VerticalLayout> formVertical(Iterable<P> properties)

      Get a builder to create a `PropertyInputForm` using given property set and a `VerticalLayout` as content layout.

      A default composer is configured using `Composable.componentContainerComposer()`. Use `ComposableConfigurator.composer(com.holonplatform.vaadin.flow.components.Composable.Composer)` to provide a custom components composer.

      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - The property set (not null)
      Returns:
        A `PropertyInputForm` builder

    - #### formVertical

          static PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.VerticalLayout> formVertical(com.holonplatform.core.property.Property<?>... properties)

      Get a builder to create a `PropertyInputForm` using given property set and a `VerticalLayout` as content layout.

      A default composer is configured using `Composable.componentContainerComposer()`. Use `ComposableConfigurator.composer(com.holonplatform.vaadin.flow.components.Composable.Composer)` to provide a custom components composer.

      Parameters:
        `properties` - The property set (not null)
      Returns:
        A `PropertyInputForm` builder

    - #### formHorizontal

          static <P extends com.holonplatform.core.property.Property> PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.HorizontalLayout> formHorizontal(Iterable<P> properties)

      Get a builder to create a `PropertyInputForm` using given property set and a `HorizontalLayout` as content layout.

      A default composer is configured using `Composable.componentContainerComposer()`. Use `ComposableConfigurator.composer(com.holonplatform.vaadin.flow.components.Composable.Composer)` to provide a custom components composer.

      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - The property set (not null)
      Returns:
        A `PropertyInputForm` builder

    - #### formHorizontal

          static PropertyInputFormBuilder<com.vaadin.flow.component.orderedlayout.HorizontalLayout> formHorizontal(com.holonplatform.core.property.Property<?>... properties)

      Get a builder to create a `PropertyInputForm` using given property set and a `HorizontalLayout` as content layout.

      A default composer is configured using `Composable.componentContainerComposer()`. Use `ComposableConfigurator.composer(com.holonplatform.vaadin.flow.components.Composable.Composer)` to provide a custom components composer.

      Parameters:
        `properties` - The property set (not null)
      Returns:
        A `PropertyInputForm` builder

Copyright © 2019 The Holon Platform. All rights reserved.